com.google.gwt.dom.builder.shared

## Interface IFrameBuilder

All Superinterfaces:
  ElementBuilderBase<IFrameBuilder>

All Known Implementing Classes:
  DomIFrameBuilder, HtmlIFrameBuilder

    public interface IFrameBuilder
    extends ElementBuilderBase<IFrameBuilder>

Builds an iframe element.

### Method Summary

All Methods Instance Methods Abstract Methods
`IFrameBuilder` `frameBorder(int frameBorder)` Request frame borders.
`IFrameBuilder` `html(SafeHtml html)` Throws `UnsupportedOperationException`.
`IFrameBuilder` `marginHeight(int marginHeight)` Frame margin height, in pixels.
`IFrameBuilder` `marginWidth(int marginWidth)` Frame margin width, in pixels.
`IFrameBuilder` `name(java.lang.String name)` The frame name (object of the target attribute).
`IFrameBuilder` `noResize()` Forbid user from resizing frame.
`IFrameBuilder` `scrolling(java.lang.String scrolling)` Specify whether or not the frame should have scrollbars.
`IFrameBuilder` `src(SafeUri src)` A URI designating the initial frame contents.
`IFrameBuilder` `src(java.lang.String src)` A URI designating the initial frame contents.
`IFrameBuilder` `text(java.lang.String html)` Throws `UnsupportedOperationException`.

### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

`attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, title, trustedStart`

### Method Detail

#### frameBorder

    IFrameBuilder frameBorder(int frameBorder)

Request frame borders.

See Also:
  W3C HTML Specification

#### html

    IFrameBuilder html(SafeHtml html)

Throws `UnsupportedOperationException`.

Appending children or content directly to an iframe isn't supported. You must use the src attribute to specify the url of the content to load, or wait until the document is loaded.

Specified by:
  `html` in interface `ElementBuilderBase<IFrameBuilder>`
Parameters:
  `html` - the HTML to append
Returns:
  this builder
Throws:
  `java.lang.UnsupportedOperationException`

#### marginHeight

    IFrameBuilder marginHeight(int marginHeight)

Frame margin height, in pixels.

See Also:
  W3C HTML Specification

#### marginWidth

    IFrameBuilder marginWidth(int marginWidth)

Frame margin width, in pixels.

See Also:
  W3C HTML Specification

#### name

    IFrameBuilder name(java.lang.String name)

The frame name (object of the target attribute).

See Also:
  W3C HTML Specification

#### noResize

    IFrameBuilder noResize()

Forbid user from resizing frame.

See Also:
  W3C HTML Specification

#### scrolling

    IFrameBuilder scrolling(java.lang.String scrolling)

Specify whether or not the frame should have scrollbars.

See Also:
  W3C HTML Specification

#### src

    IFrameBuilder src(SafeUri src)

A URI designating the initial frame contents.

See Also:
  W3C HTML Specification

#### src

    IFrameBuilder src(java.lang.String src)

A URI designating the initial frame contents.

See Also:
  W3C HTML Specification

#### text

    IFrameBuilder text(java.lang.String html)

Throws `UnsupportedOperationException`.

Appending children or content directly to an iframe isn't supported. You must use the src attribute to specify the url of the content to load, or wait until the document is loaded.

Specified by:
  `text` in interface `ElementBuilderBase<IFrameBuilder>`
Parameters:
  `html` - the text to append
Returns:
  this builder
Throws:
  `java.lang.UnsupportedOperationException`